@ECHO off
SETLOCAL

:levelup

CD ..
IF NOT EXIST plugins GOTO levelup

SET JAVACMD="jre\bin\java.exe"
IF EXIST "%JAVACMD%" GOTO start
ECHO No embedded JVM found. Trying to use the installed one.
IF DEFINED JAVA_HOME (SET JAVACMD="%JAVA_HOME%\bin\java.exe") ELSE SET JAVACMD=java.exe

:start

TITLE xTrip 3 Application Server
ECHO Starting xTrip 3 application server...

%JAVACMD% -server -Xms512m -Xmx1024m -XX:MaxPermSize=256m -Djpf.boot.config=config/boot.properties -jar lib\jpf-boot.jar
ECHO xTrip application 3 server stopped
